Bug 7054

Summary: Cannot set "Regional Settings" to "English (Australia)" or "English (New Zealand)"
Product: [Maemo Official Platform] UI Specification Reporter: Nyall Dawson <nyall>
Component: GeneralAssignee: Mikko Nurmi <mikko.a.nurmi>
Status: RESOLVED FIXED QA Contact: ui-specification-bugs
Severity: normal    
Priority: Medium CC: andre_klapper, mahmoud.kassem
Version: 5.0/(3.2010.02-8)   
Target Milestone: 5.0/(10.2010.19-1)   
Hardware: N900   
OS: Maemo   

Description Nyall Dawson (reporter) 2009-12-16 22:14:01 UTC
SOFTWARE VERSION: 1.2009.42-11
(Settings > General > About product)

EXACT STEPS LEADING TO PROBLEM: 
1. Go to settings, languages and region. Try to set the default region to
Australia (or new zealand), but no option exists for this, so you have to set
it to english (uk).
2. Add a new address for a contact, default country is United Kingdom. 

EXPECTED OUTCOME:
There is an English (Australia) and English (New Zealand) region, which causes
the default country in addresses to be set to either Australia or New Zealand.

ACTUAL OUTCOME:
No way to set the default country to australia or new zealand.

REPRODUCIBILITY:
always

EXTRA SOFTWARE INSTALLED:

OTHER COMMENTS:

User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.1.5)
Gecko/20091109 Ubuntu/9.10 (karmic) Firefox/3.5.5
Comment 1 Andre Klapper maemo.org 2009-12-17 01:37:11 UTC
Note that this is most probably a WONTFIX for Maemo5 as this area is not
planned to receive any changes.
Comment 2 Nyall Dawson (reporter) 2009-12-18 21:41:08 UTC
Well - is the default country stored in a configuration file somewhere I can
manually edit?
Comment 3 Andre Klapper maemo.org 2010-03-04 22:14:06 UTC
Both Australia and New Zealand will be available from the "Regional settings"
in the next public update - just checked it myself. Closing as FIXED.


To answer popular followup questions:
 * Nokia does not announce release dates of public updates in advance.
 * There is currently no access to these internal, non-public build versions.
   A Brainstorm proposal to change this exists at
http://maemo.org/community/brainstorm/view/undelayed_bugfix_releases_for_nokia_open_source_packages-002/
Comment 4 Andre Klapper maemo.org 2010-03-15 20:56:50 UTC
Setting explicit PR1.2 milestone (so it's clearer in which public release the
fix will be available to users).

Sorry for the bugmail noise (you can filter on this message).